PrinterMoreInfoManufacturer (Java Platform SE 8 )
Keywords: javax.print.attribute.standard.PrinterMoreInfoManufacturer class
Date: 2020-03-26

javax.print.attribute.standard

## Class PrinterMoreInfoManufacturer

- java.lang.Object
- - javax.print.attribute.URISyntax
  - - javax.print.attribute.standard.PrinterMoreInfoManufacturer

- All Implemented Interfaces:
    Serializable, Cloneable, Attribute, PrintServiceAttribute

      public final class PrinterMoreInfoManufacturer
      extends URISyntax
      implements PrintServiceAttribute

  Class PrinterMoreInfoManufacturer is a printing attribute class, a URI, that is used to obtain more information about this type of device. The information obtained from this URI is intended for end user consumption. Features outside the scope of the Print Service API can be accessed from this URI (e.g., latest firmware, upgrades, service proxies, optional features available, details on color support). The information is intended to be germane to this kind of printer without regard to site specific modifications or services.

  In contrast, the `PrinterMoreInfo` attribute is used to find out more information about this specific printer rather than this general kind of printer.

  IPP Compatibility: The string form returned by `toString()` gives the IPP uri value. The category name returned by `getName()` gives the IPP attribute name.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrinterMoreInfoManufacturer(URI uri)` Constructs a new printer more info manufacturer attribute with the specified URI.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object object)` Returns whether this printer more info manufacturer attribute is equivalent to the passed in object.
    `Class<? extends Attribute>` | `getCategory()` Get the printing attribute class which is to be used as the "category" for this printing attribute value.
    `String` | `getName()` Get the name of the category of which this attribute value is an instance.

    - ### Methods inherited from class javax.print.attribute.URISyntax

      `getURI, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PrinterMoreInfoManufacturer

          public PrinterMoreInfoManufacturer(URI uri)

      Constructs a new printer more info manufacturer attribute with the specified URI.
      Parameters:
        `uri` - URI.
      Throws:
        `NullPointerException` - (unchecked exception) Thrown if `uri` is null.

  - ### Method Detail

    - #### equals

          public boolean equals(Object object)

      Returns whether this printer more info manufacturer attribute is equivalent to the passed in object. To be equivalent, all of the following conditions must be true:
      1. `object` is not null.
      2. `object` is an instance of class PrinterMoreInfoManufacturer.
      3. This printer more info manufacturer attribute's URI and `object`'s URI are equal.
      Overrides:
        `equals` in class `URISyntax`
      Parameters:
        `object` - Object to compare to.
      Returns:
        True if `object` is equivalent to this printer more info manufacturer attribute, false otherwise.
      See Also:
        `Object.hashCode()`, `HashMap`

    - #### getCategory

          public final Class<? extends Attribute> getCategory()

      Get the printing attribute class which is to be used as the "category" for this printing attribute value.

      For class PrinterMoreInfoManufacturer, the category is class PrinterMoreInfoManufacturer itself.

      Specified by:
        `getCategory` in interface `Attribute`
      Returns:
        Printing attribute class (category), an instance of class `java.lang.Class`.

    - #### getName

          public final String getName()

      Get the name of the category of which this attribute value is an instance.

      For class PrinterMoreInfoManufacturer, the category name is `"printer-more-info-manufacturer"`.

      Specified by:
        `getName` in interface `Attribute`
      Returns:
        Attribute category name.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2020, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.